ods output parameterEstimates=&basesol invXPX=&basevar FitStatistics=&basermse;
proc glm data=base_unc;
	by &sect;
	class hs6;
	model Y=hs6*X0 X1 X2/noint solution inverse;
run;quit;
* Variance-covariance matrix;
proc freq noprint data=base_unc;
	table &sect/out=sect;
run;quit;
data sect;
	set sect;
	cste=1;
	nsec=_n_;
data nbsect;
	set sect;
	by cste;
	if last.cste;
	call symput('nbsect_unc',nsec);
run;
proc sort data=sect;
	by &sect;
proc sort data=&basevar;
	by &sect;
data &basevar;
	merge &basevar sect(keep=&sect nsec);
	by &sect;
proc sort data=&basermse;
	by &sect;
data &basermse;
	merge &basermse sect(keep=&sect nsec);
	by &sect;
run;
data basevar2;
	&sect='011';
data basevar2;
	set basevar2;
	if &sect='011' then delete;
%macro var_unc;
%do sec=1 %to &nbsect_unc;
data temp;
	set &basevar;
	where nsec=&sec;
data temp2;
	set &basermse;
	where nsec=&sec;
proc sql noprint;
	select RootMSE**2 INTO : s2
	from temp2;
quit;
data temp;
	set temp;
	array valeurs _NUMERIC_;
	do over valeurs;
	valeurs =valeurs *&s2;
	end;
run;
data basevar2;
	set basevar2 temp;
run;
%end;
%mend var_unc;
%var_unc;
run;

data &basevar;
	set basevar2;
	drop nsec;
run;
