capture program drop bysector_reg_constant
program define bysector_reg_constant
	use `1', clear
	sum nsec
	local nbsec=r(max)
	forvalues num=1(1)`nbsec'{
		use `1', clear
		keep if nsec== `num'
		statsby "reg `2' `3', vce(robust)" _b _se N_tariff=e(N) ,  clear
		gen nsec=`num'
		save reg`num', replace
	}
	use reg1, clear
	forvalues num=2(1)`nbsec'{
		append using reg`num'
	}
	save regsec_wc_`2'`3', replace
	forvalues num=1(1)`nbsec'{
		erase reg`num'.dta
	}
	use `1', clear
	sort nsec
	keep nsec isic3d
	by nsec: keep if _n==1
	save isic3dnsec, replace
	use regsec_wc_`2'`3', clear
	sort nsec
	merge nsec using isic3dnsec
	drop _merge
	g t_`3'=abs(b_`3'/se_`3')
	g sig5_`3'=1
	replace sig5_`3'=0 if t_`3'<1.96
	replace sig5_`3'=. if t_`3'==.
	
	g sig10_`3'=1
	replace sig10_`3'=0 if t_`3'<1.65
	replace sig10_`3'=. if t_`3'==.
	
	g sigma_`3'=1-b_`3'
	g invtheta_`3'=-b_`3'
	
	sort isic

	save regsec_wc_`2'`3', replace
	erase isic3dnsec.dta
end
